Bug 1476757 - GTK3 doesn't respect titlebar middle-click to toggle maximize vertically
GTK3 doesn't respect titlebar middle-click to toggle maximize vertically
Status: NEW
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
26
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-31 07:41 EDT by Eric Lavarde
Modified: 2017-08-03 03:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Lavarde 2017-07-31 07:41:28 EDT
Description of problem:
Using the Tweak Tool, one can set Windows -> Titlebar Actions -> Middle-click = Toggle Maximize Vertically, this works for most Windows but not for Tilix.

Version-Release number of selected component (if applicable):
Name        : tilix
Version     : 1.6.4
Release     : 1.fc26

How reproducible:
Always (since Tilix has been promoted on the Fedora page, where I discovered it)

Steps to Reproduce:
1. set the setting in the Tweak Tool
2. middle click with the mouse on the Titlebar of Tilix

Actual results:
Tilix is maximized over the whole screen

Expected results:
Tilix is only maximized vertically

Additional info:
I use Gnome in X-mode (non-Wayland). Double-click and Secondary-click work as expected.
Comment 1 Gerald Nunn 2017-08-01 16:13:54 EDT
I do not believe that this is a Tilix issue, every GTK3 application I try (GEdit, Nautilus, Lollypop, etc) exhibits the same behavior as Tilix. Only GTK2 applications seem to honor this setting.
Comment 2 Eric Lavarde 2017-08-03 03:45:30 EDT
With surprise, I realize that I'm not using that many GTK3 applications... Sorry for the noise, I re-title and re-assign the ticket.

Note You need to log in before you can comment on or make changes to this bug.